body {
  background-color: #f8f9fa;
  /* padding: 2rem; */
}

.maincon {
  /* padding: 2rem; */
  background-color: #fff;
}

.card {
  border-radius: 1rem;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
  max-width: 900px;
  margin: auto;
}

label {
  font-weight: 500;
}



.form-control::placeholder {
  color: #5f5e5e;
}

.form-control:focus {
  border: 1px solid #0394fc;
  box-shadow: none;
  background-color: gray;
  color: white;
}

.form-label {
  margin-bottom: 4px;
}

textarea.form-control {
  resize: none;
}

.btn-theme {
  background-color: #00cfff;
  border: none;
  color: black;
  font-weight: 500;
}

.btn-theme:hover {
  background-color: #00b5e6;
}

.submit-text {
  color: purple;
  font-weight: 600;
  font-size: 16px;
}




.card-dark-input input,
.card-dark-input textarea {
  background: gray;
  color: #fff;
  border: none;
}

.card-dark-input input::placeholder,
.card-dark-input textarea::placeholder {
  color: #9ca3af;
}

.icon-left {
  position: absolute;
  left: 1rem;
  top: 50%;
  transform: translateY(-50%);
  color: #fff;
}

.input-with-icon {
  padding-left: 1rem;
}

.avatar-wrap {
  width: 96px;
  height: 96px;
  border-radius: 50%;
  overflow: hidden;
  cursor: pointer;
}

.avatar-wrap:hover .overlay {
  opacity: 0.7;
}

.overlay {
  position: absolute;
  inset: 0;
  background: gray;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 0.2s;
}


.summary-header {
  margin-top: 30px;
  text-align: center;
}

.summary-header h4 {
  font-size: 28px;
  color: #0077cc;
  font-weight: 700;
  margin-bottom: 10px;
}

.summary-header p {
  font-size: 16px;
  color: #444;
  max-width: 600px;
  margin: 0 auto;
}

.summary-section {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  margin-top: 20px;
}

.summary-card {
  background: linear-gradient(135deg, #ffffff, #f1f1f1);
  border: 1px solid #ddd;
  border-radius: 12px;
  padding: 15px 10px;
  flex: 1 1 140px;
  max-width: 180px;
  height: 100px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
}

.label {
  font-weight: 600;
  font-size: 16px;
  text-align: center;
  color: #333;
}

.value {
  font-size: 26px;
  font-weight: bold;
  margin-top: 5px;
  color: #000;
}

.whatsapp-float {
  position: fixed;
  bottom: 20px;
  right: 20px;
  background-color: #25d366;
  color: white;
  border-radius: 50%;
  width: 55px;
  height: 55px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  font-size: 28px;
  z-index: 1000;
}

.reviews-section {
  margin-top: 100px;
  text-align: center;
}

.table-container {
  margin-top: 40px;
  overflow-x: auto;
  padding: 20px;
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

table {
  width: 100%;
  min-width: 800px;
  border-collapse: separate;
  border-spacing: 0;
}

th,
td {
  text-align: center;
  padding: 12px;
  border: 1px solid #ddd;
}

th {
  background-color: #0077cc;
  color: white;
  font-size: 16px;
  font-weight: 600;
}

td {
  background-color: #f9f9f9;
  color: #333;
  font-size: 14px;
}

td a {
  color: #0077cc;
  text-decoration: none;
}

tr:hover {
  background-color: #f1f1f1;
  cursor: pointer;
}

.upload-input {
  font-size: 14px;
  padding: 5px;
  border-radius: 4px;
  border: 1px solid #ddd;
  background-color: #fff;
}

.dataTables_length,
.dataTables_filter {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 0;
}

.dataTables_length select,
.dataTables_filter input {
  padding: 5px 10px;
  font-size: 14px;
  border-radius: 5px;
  border: 1px solid #ddd;
}

.add-record-btn {
  position: fixed;
  bottom: 90px;
  right: 20px;
  background-color: #0077cc;
  color: white;
  border: none;
  border-radius: 50%;
  width: 55px;
  height: 55px;
  font-size: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  text-decoration: none;
  z-index: 1000;
}




.login-box {
  max-width: 400px;
  margin: 60px auto;
  padding: 30px;
  background: #fff;
  border-radius: 15px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
}



.form-control::placeholder {
  color: #a8a7a7;
}

.form-control:focus {
  box-shadow: none;
  background-color: #fff;
  color: #050505;
}

.btn-login {
  background-color: #000;
  color: #6c63ff;
  border: none;
}

.btn-login:hover {
  background-color: #111;
  color: #fff;
}


.card-dark-input input,
.card-dark-input textarea {
  background: #000;
  color: #fff;
  border: none;
}

.card-dark-input input::placeholder,
.card-dark-input textarea::placeholder {
  color: #9ca3af;
}

.icon-left {
  position: absolute;
  left: 1rem;
  top: 50%;
  transform: translateY(-50%);
  color: #fff;
}

.input-with-icon {
  padding-left: 1rem;
}

.avatar-wrap {
  width: 96px;
  height: 96px;
  border-radius: 50%;
  overflow: hidden;
  cursor: pointer;
}

.avatar-wrap:hover .overlay {
  opacity: 0.7;
}

.overlay {
  position: absolute;
  inset: 0;
  background: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 0.2s;
}




.card {
  border: none;
  border-radius: 1rem;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.table thead {
  background-color: #111;
  color: #f9fafb;
}

.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter {
  display: inline-block;
  margin-bottom: 1rem;
}

.dataTables_wrapper .dataTables_filter {
  float: right;
}

@media (max-width: 576px) {

  table td,
  table th {
    font-size: 11px;
    white-space: normal !important;
    padding: 0.25rem;
  }

  table img {
    width: 30px;
    height: 30px;
  }

  .dataTables_wrapper .dataTables_length,
  .dataTables_wrapper .dataTables_filter {
    display: block;
    float: none;
    text-align: left;
  }
}

@media print {
  body * {
    visibility: hidden;
  }

  .print-container,
  .print-container * {
    visibility: visible;
  }

  .print-container {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
  }

  .dataTables_length,
  .dataTables_filter,
  .dataTables_info,
  .dataTables_paginate,
  th:last-child,
  td:last-child {
    display: none !important;
  }

  .table-responsive {
    overflow: visible !important;
  }
}




.card {
  border: none;
  border-radius: 1rem;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.table thead {
  background-color: #111;
  color: #f9fafb;
}

.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter {
  display: inline-block;
  margin-bottom: 1rem;
}

.dataTables_wrapper .dataTables_filter {
  float: right;
}

@media (max-width: 576px) {

  table td,
  table th {
    font-size: 11px;
    white-space: normal !important;
    padding: 0.25rem;
  }

  table img {
    width: 30px;
    height: 30px;
  }

  .dataTables_wrapper .dataTables_length,
  .dataTables_wrapper .dataTables_filter {
    display: block;
    float: none;
    text-align: left;
  }
}

@media print {
  body * {
    visibility: hidden;
  }

  .print-container,
  .print-container * {
    visibility: visible;
  }

  .print-container {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
  }

  .dataTables_length,
  .dataTables_filter,
  .dataTables_info,
  .dataTables_paginate,
  th:last-child,
  td:last-child {
    display: none !important;
  }

  .table-responsive {
    overflow: visible !important;
  }

  .child {
    display: table-row-group !important;
  }

  .child td {
    display: table-cell !important;
  }
}


/* Custom styles for mobile menu */
@media (max-width: 991.98px) {
  .navbar-collapse {
    border-bottom: 2px solid #ffffff;
    padding-bottom: 10px;
  }

  .navbar-nav {
    align-items: flex-start;
  }

  .navbar-nav .nav-item {
    text-align: left;
    width: 100%;
  }
}

.nav-link i {
  margin-right: 8px;
}

.nav-link {
  display: flex;
  align-items: center;
}

.navbar-custom {
  background: linear-gradient(90deg, #4e54c8, #8f94fb);
}

.navbar-brand img {
  width: 40px;
  height: 40px;
  object-fit: cover;
  border-radius: 50%;
}

.profile-name {
  margin-left: 10px;
  font-weight: bold;
  color: #fff;
}

.nav-link,
.dropdown-item {
  color: #fff !important;
  font-weight: 500;
}

.nav-link:hover,
.dropdown-item:hover {
  color: #ffd700 !important;
}

.logout-btn {
  background-color: #dc3545;
  color: #fff;
  border: none;
  padding: 6px 15px;
  border-radius: 8px;
  font-weight: 500;
  transition: background-color 0.3s;
}

.logout-btn:hover {
  background-color: #c82333;
}

.navbar-toggler {
  border-color: rgba(255, 255, 255, 0.5);
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.dropdown-menu {
  background: linear-gradient(90deg, #4e54c8, #8f94fb);
}

@media (max-width: 991.98px) {
  .navbar-nav {
    text-align: center;
  }

  .logout-btn {
    width: 100%;
    margin-top: 10px;
  }
}

.form-section {

  border-radius: 0.5rem;
  margin: 50px 20px !important;
  border: dashed;
  padding: 50px 20px !important;
  padding-bottom: 20px;
  /* background-color: lightblue; */
}

.storebtn {
  margin-top: -75px;
  padding: 10px 20px;
  letter-spacing: 3px;
  position: absolute;
  left: 15%;
}

.input-group-text {
  color: #ffffff;
  background: #0394fc;

}

.input-group {
  /* border-bottom: solid 3px #0394fc; */
  border-radius: 0.5rem;
  box-shadow: 5px 5px 5px lightgray;
}


.form-control[type=file]:not(:disabled):not([readonly]) {
  border: dashed 2px #0394fc;
}

.subbnt {
  width: 90% !important;
  margin-top: -65px !important;
  letter-spacing: 10px;
  padding: 10px 10px;
  font-size: 1rem;
  font-weight: bold;
  text-transform: uppercase;
}

.sheadp {
  border-bottom: solid #dadada;
}

.navbar-custom {
  background: linear-gradient(90deg, #0306a5, #1a89e1);
}

.navbar-brand img {
  width: 40px;
  height: 40px;
  object-fit: cover;
  border-radius: 50%;
}

.profile-name {
  margin-left: 10px;
  font-weight: bold;
  color: #fff;
}

.nav-link,
.dropdown-item {
  color: #fff !important;
  font-weight: 500;
}

.nav-link:hover,
.dropdown-item:hover {
  color: #ffd700 !important;
}

.logout-btn {
  background-color: #dc3545;
  color: #fff;
  border: none;
  padding: 6px 15px;
  border-radius: 8px;
  font-weight: 500;
  transition: background-color 0.3s;
}

.logout-btn:hover {
  background-color: #c82333;
}

.navbar-toggler {
  border-color: rgba(255, 255, 255, 0.5);
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

.dropdown-menu {
  background: linear-gradient(90deg, #4e54c8, #8f94fb);
}

@media (max-width: 991.98px) {
  .navbar-nav {
    text-align: center;
  }

  .logout-btn {
    width: 100%;
    margin-top: 10px;
  }
}

.uploadp.col-lg-3.col-xl-3.col-md-3.col-6 {
  border: dashed #0394fc;
  border-radius: 0.5rem;
}

input[type="email"] {
  text-transform: lowercase;
}

input[type="date"] {
  text-transform: lowercase;
}

body>div>div>div>form>div:nth-child(2)>div>div:nth-child(1)>div>input {
  text-transform: uppercase !important;
}

.dataTables_wrapper .dataTables_filter input {
  border: 1px solid #0394fc;
}

.table-primary th {
  background-color: #0394fc !important;
  color: white;
}

.dobtn {
  padding: 1px 5px;
  background: #eb0a0665;
  color: #242323;
  border-radius: 5px;
  margin-top: -10px;
  font-size: 12px;
}

.vibtn {
  padding: 1px 5px;
  background: #06dceb65;
  color: #242323;
  border-radius: 5px;
  margin-top: -10px;
  font-size: 12px;
}

.displaydata {
  padding: 10px 20px;
  margin-bottom: 50px;
}

.subbnt2 {
  /* width: 90% !important; */
  margin-bottom: -100px !important;
  letter-spacing: 10px;
  padding: 10px 10px;
  font-size: 1rem;
  font-weight: bold;
  text-transform: uppercase;
}

.edtbtn {
  background: lightblue;
  padding: 3px 7px;
  border-radius: 5px;
  display: inline-block;
  width: max-content;
}

.edtbtn:hover {
  background: #0394fc;
  color: white;
  text-decoration: none;
}

.dltbtn {
  background: lightcoral;
  padding: 3px 7px;
  border-radius: 5px;
  margin-top: -10px;
  display: inline-block;
  width: max-content;
}

.dltbtn:hover {
  background: #eb0a06;
  color: white;
  text-decoration: none;
}

input[readonly],
input[readonly]:focus {
  background-color: rgb(231, 231, 231);
  /* Light gray background for readonly inputs */
  color: gray;
  border: none;
  outline: none;
}

td {
  text-transform: capitalize
}

h3 {
  color: #0394fc;
}

.btn-primary {
  background-color: #0394fc;
  border-color: #0394fc;
}

.card {
  border: 1px solid #dee2e6;
  border-radius: 12px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
}



.live-time {
  font-size: 1.2rem;
  font-weight: bold;
}

.hover-zoom:hover {
  transform: scale(1.03);
  transition: 0.3s ease-in-out;
}

/* Executive Count Card */
.custom-card-executive {
  border-bottom: 5px solid #007bff;
  /* Primary color */
  box-shadow: 0 4px 6px rgba(0, 123, 255, 0.2);
  padding: 1rem;
}

/* Date Card */
.custom-card-date {
  border-bottom: 5px solid #17a2b8;
  /* Info color */
  box-shadow: 0 4px 6px rgba(23, 162, 184, 0.2);
  padding: 1rem;
}

/* Sale Quantity Card */
.custom-card-quantity {
  border-bottom: 5px solid #28a745;
  /* Success color */
  box-shadow: 0 4px 6px rgba(40, 167, 69, 0.2);
  padding: 1rem;


}

/* Total Sales Amount Card */
.custom-card-sales {
  border-bottom: 5px solid #ffc107;
  /* Warning color */
  box-shadow: 0 4px 6px rgba(255, 193, 7, 0.2);
  padding: 1rem;
}

.custom-card-quantity:hover {
  border-bottom: 10px solid  #28a745;
  /* Success color */
  transition: all 0.5s ease-in-out;
}
.custom-card-sales:hover {
  border-bottom: 10px solid  #ffc107;
  /* Success color */
  transition: all 0.5s ease-in-out;
}
.custom-card-date:hover {
  border-bottom: 10px solid  #17a2b8;
  /* Success color */
  transition: all 0.5s ease-in-out;
}
.custom-card-executive:hover {
  border-bottom: 10px solid  #007bff;
  /* Success color */
  transition: all 0.5s ease-in-out;
}
.custom-card {
  display: flex;
  align-items: center;
  gap: 0.75rem;
  padding: 1rem;
  border-radius: 0.75rem;
  background-color: #f8f9fa;
  height: 100%;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
  transition: transform 0.2s ease;
}

.custom-card:hover {
  transform: translateY(-3px);
}

.custom-icon {
  font-size: 1.8rem;
  padding: 0.6rem;
  border-radius: 0.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #e9ecef;
  min-width: 45px;
  color: #495057;
}

.custom-text h6 {
  margin: 0;
  font-size: 0.85rem;
  color: #6c757d;
}

.custom-text h5 {
  margin: 0;
  font-weight: 600;
  font-size: 1.2rem;
}

.text-white .custom-text h6,
.text-white .custom-text h5 {
  color: white;
}
/* FullCalendar Custom Table Styling */
.fc .fc-scrollgrid {
  border: 3px dashed #0394fc !important;
  border-radius: 6px;
  overflow: hidden;
}

.fc .fc-col-header-cell {
  background-color: #0394fc !important;
  color: #fff !important;
  font-weight: 600;
  border-right: 1px solid #fff;
  padding: 8px 0;
  a{
    color: #fff !important;
  }
}

.fc .fc-daygrid-day {
  border: 1px solid #dee2e6;
}

.fc-theme-bootstrap5 .fc-scrollgrid, 
.fc-theme-bootstrap5 td, 
.fc-theme-bootstrap5 th {
  border: solid 3px blue !important;
}
.fc .fc-daygrid-day-number {
  font-weight: 600;
  color: #212529;
  font-size: 1.2rem;
  padding: 0.5rem;
}